* # ITALIAN MODEL EQUATIONS
* # In ORDER: grains, oilseeds, livestock, dairy, sugar, potatoes, olive-oil.
* # Last Updates:
* # 31 october, Antonello: Minour changes to be read commodity-by-commodity
* # 25 sept 2002, Antonello: Various variable names changed
* # 18 sept 2002, Antonello: various items

* # Grains
* # start_commodity
G3AHAIT=G3AHAIT1+G3AHAIT2*G3EGRIT+G3AHAIT3*GRSARE5+G3AHAIT4*O3AHAIT+G3AHAIT5*WDAHAIT+G3AHAIT6*TREND70
WDAHAIT=WDAHAIT1+WDAHAIT2*WDEGRIT+WDAHAIT3*G3EGRIT+WDAHAIT4*O3EGRIT+WDAHAIT5*GRSARE5+WDAHAIT6*TREND70
WSASHIT=WSASHIT1+WSASHIT2*WSRGMIT+WSASHIT3*GRSARE5+WSASHIT4*YEAR
BAASHIT=BAASHIT1*BARGMIT+BAASHIT2*GRSARE5+BAASHIT3*GRDU1IT
COASHIT=(1-WSASHIT-BAASHIT)
WSAHAIT=(WSASHIT*G3AHAIT)
BAAHAIT=(BAASHIT*G3AHAIT)
COAHAIT=(COASHIT*G3AHAIT)
WSYHAIT= WSYHAIT1*WSYHTIT+WSYHAIT2*WSPFRIT(-1)+WSYHAIT3*(G3AHAIT+O3AHAIT+WDAHAIT)+WSYHAIT4*WSAHAIT+WSYHAIT5*GRDU1IT
WDYHAIT=WDYHAIT1+WDYHAIT2*WDYHTIT+WDYHAIT3*WDPFRIT(-1)+WDYHAIT4*(G3AHAIT+O3AHAIT+WDAHAIT)+WDYHAIT5*WDAHAIT+WDYHAIT6*GRDU1IT
BAYHAIT=BAYHAIT1+BAYHAIT2*BAYHTIT+BAYHAIT3*BAPFRIT(-1)+BAYHAIT4*(G3AHAIT+O3AHAIT+WDAHAIT)+BAYHAIT5*BAAHAIT+BAYHAIT6*GRDU1IT
COYHAIT=COYHAIT1*COYHTIT+COYHAIT2*COPFRIT(-1)+COYHAIT3*(G3AHAIT+O3AHAIT+WDAHAIT)+COYHAIT4*COAHAIT+COYHAIT5*GRDU1IT
WSSPRIT=(WSAHAIT*WSYHAIT)
WDSPRIT=(WDAHAIT*WDYHAIT)
BASPRIT=(BAAHAIT*BAYHAIT)
COSPRIT=(COAHAIT*COYHAIT)
WSUFEIT=WSUFEIT1+WSUFEIT2*WSFINIT+WSUFEIT3*COPFRIT+WSUFEIT4*BAPFRIT+WSUFEIT5*WSPFRIT+WSUFEIT6*SMPFRIT+WSUFEIT7*UMPFRIT+WSUFEIT8*RLPFRIT+WSUFEIT9*TREND70
WDUFEIT=WDUFEIT1+WDUFEIT2*WSFINIT+WDUFEIT3*WSPFRIT+WDUFEIT4*WDPFRIT
BAUFEIT=BAUFEIT1+BAUFEIT2*BAFINIT+BAUFEIT3*COPFRIT+BAUFEIT4*BAPFRIT+BAUFEIT5*WSPFRIT+BAUFEIT6*SMPFRIT+BAUFEIT7*UMPFRIT+BAUFEIT8*RLPFRIT+BAUFEIT9*TREND70
COUFEIT=COUFEIT1+COUFEIT2*COFINIT+COUFEIT3*COPFRIT+COUFEIT4*BAPFRIT+COUFEIT5*WSPFRIT+COUFEIT6*SMPFRIT+COUFEIT7*UMPFRIT+COUFEIT8*RLPFRIT+COUFEIT9*TREND70
WSUFCIT= WSUFCIT1*WSPFRIT+WSUFCIT2*TREND70
WSUFOIT=(WSUFCIT*POPIT) 
WSUDCIT=(WSUFEIT+WSUFOIT)
WSCCTIT=WSCCTIT1*WSCCTIT(-1)+WSCCTIT2*WSSPRIT+WSCCTIT3*WSPFRIT+WSCCTIT4*WSPFIIT+WSCCTIT5*GRDU1IT
WSLSDIT=WSLSDIT1+WSLSDIT2*(WSSPRIT-WSSPRIT(-1))
WSUXTIT=WSUXTIT1*(WSSPRIT+WSCCTIT(-1)-WSUDCIT-WSCCTIT-WSLSDIT)+WSUXTIT2*TREND70
WSSMTIT=(WSUDCIT+WSCCTIT+WSUXTIT+WSLSDIT-WSSPRIT-WSCCTIT(-1))
WDUFCIT=WDUFCIT1+WDUFCIT2*WSPFRIT+WDUFCIT3*WDPFRIT+WDUFCIT4*RGDPCIT+WDUFCIT5*GRDU1IT
WDUFOIT=(WDUFCIT*POPIT)
WDUDCIT=(WDUFEIT+WDUFOIT)
WDCCTIT=WDCCTIT1+WDCCTIT2*WDCCTIT(-1)+WDCCTIT3*WDSPRIT+WDCCTIT4*WDPFRIT+WDCCTIT5*TREND70
WDLSDIT=WDLSDIT1+WDLSDIT2*(WDSPRIT-WDSPRIT(-1))
WDSMTIT=WDSMTIT1*(WDUDCIT+WDCCTIT+WDLSDIT-WDSPRIT-WDCCTIT(-1))+WDSMTIT2*TREND70
WDUXTIT=(WDSPRIT+WDCCTIT(-1)+WDSMTIT-WDUDCIT-WDCCTIT-WDLSDIT)
BAUFCIT=BAUFCIT1+BAUFCIT2*BAPFRIT+BAUFCIT3*RGDPCIT+BAUFCIT4*GRDU1IT
BAUFOIT=(BAUFCIT*POPIT)
BAUDCIT=(BAUFEIT+BAUFOIT)
BACCTIT=BACCTIT1*BACCTIT(-1)+BACCTIT2*BASPRIT+BACCTIT3*BAPFRIT+BACCTIT4*BAPFIIT+BACCTIT5*GRDU1IT
* # Cambiato:
* # BAUXTIT= Max(2,BASPRIT+BACCTIT(-1)+50-BAUDCIT-BACCTIT)
BASMTIT=(BAUDCIT+BACCTIT+BAUXTIT-BASPRIT-BACCTIT(-1))
COUFCIT=COUFCIT1+COUFCIT2*COPFRIT+COUFCIT3*RGDPCIT+COUFCIT4*GRDU1IT
COUFOIT=(COUFCIT*POPIT)
COUDCIT=(COUFEIT+COUFOIT)
COCCTIT=COCCTIT1*COCCTIT(-1)+COCCTIT2*COSPRIT+COCCTIT3*COPFRIT+COCCTIT4*COPFIIT+COCCTIT5*GRDU1IT
* # Cambiato:
* # COUXTIT= Max(40,COSPRIT+COCCTIT(-1)+230-COUDCIT-COCCTIT)
COSMTIT=(COUDCIT+COCCTIT+COUXTIT-COSPRIT-COCCTIT(-1))
WSPFHIT=WSPFHIT1+WSPFHIT2*WSFRPIT+WSPFHIT3*WSSSFIT+WSPFHIT4*WSSSFFR
WDPFHIT=WDPFHIT1*WSPXDUS+WDPFHIT2*TREND70
BAPFHIT=BAPFHIT1+BAPFHIT2*BAFRPIT+BAPFHIT3*BASSFFR
COPFHIT=COPFHIT1+COPFHIT2*COFRPIT+COPFHIT3*COSSFFR


* # Oilseeds
* # start_commodity
O3AHAIT=O3AHAIT1+O3AHAIT2*O3EGRIT+O3AHAIT3*G3EGRIT+O3AHAIT4*WDAHAIT+O3AHAIT5*GRSARE5+O3AHAIT6*TREND70
RSASHIT=RSASHIT1*RSRGMIT+RSASHIT2*O3DU1IT
SBASHIT=SBASHIT1*SBRGMIT+SBASHIT2*O3DU1IT
UFASHIT=(1-RSASHIT-SBASHIT)                                
RSAHAIT=(RSASHIT*O3AHAIT) 
SBAHAIT=(SBASHIT*O3AHAIT)
UFAHAIT=(UFASHIT*O3AHAIT)
RSYHAIT=RSYHAIT1+RSYHAIT2*RSYHTIT+RSYHAIT3*RSAHAIT 
UFYHAIT=UFYHAIT1*UFYHTIT+UFYHAIT2*UFAHAIT+UFYHAIT3*TREND70
SBYHAIT=SBYHAIT1+SBYHAIT2*SBYHTIT+SBYHAIT3*SBAHAIT
RSSPRIT=(RSAHAIT*RSYHAIT) 
UFSPRIT=(UFAHAIT*UFYHAIT) 
SBSPRIT=(SBAHAIT*SBYHAIT) 
* # This four identities has been used for calculations purposes only, and they don't need to be used for projections.
* TOUFEIT=(WSUFEIT*WSPFRIT+BAUFEIT*BAPFRIT+COUFEIT*COPFRIT+SMUDCIT*SMPFRIT+UMUDCIT*UMPFRIT+RLUDCIT*RLPFRIT)
* RLSFEIT=(RLUDCIT*RLPFRIT)/TOUFEIT
* UMSFEIT=(UMUDCIT*UMPFRIT)/TOUFEIT
* SMSFEIT=(SMUDCIT*SMPFRIT)/TOUFEIT
RLSFEIT= RLSFEIT1+RLSFEIT2*M2FINIT+RLSFEIT3*LOG(COPFRIT)+RLSFEIT4*LOG(BAPFRIT)+RLSFEIT5*LOG(WSPFRIT)+RLSFEIT6*LOG(SMPFRIT)+RLSFEIT7*LOG(UMPFRIT)+RLSFEIT8*LOG(RLPFRIT)+RLSFEIT9*TREND70+RLSFEIT0*O3DU1IT
UMSFEIT= UMSFEIT1+UMSFEIT2*M2FINIT+UMSFEIT3*LOG(COPFRIT)+UMSFEIT4*LOG(BAPFRIT)+UMSFEIT5*LOG(WSPFRIT)+UMSFEIT6*LOG(SMPFRIT)+UMSFEIT7*LOG(UMPFRIT)+UMSFEIT8*LOG(RLPFRIT)
SMSFEIT=SMSFEIT1+SMSFEIT2*M2FINIT+SMSFEIT3*LOG(COPFRIT)+SMSFEIT4*LOG(BAPFRIT)+SMSFEIT5*LOG(WSPFRIT)+SMSFEIT6*LOG(SMPFRIT)+SMSFEIT7*LOG(UMPFRIT)+SMSFEIT8*LOG(RLPFRIT) 
RSUCRIT=RSUCRIT1*RSUCRIT+RSUCRIT2*RSCMRIT+RSUCRIT3*O3DU1IT
RSUDCIT=(RSUCRIT+RSUOTIT+RSUFDIT)
* # Tenuto originale:
* # RSUXTIT = max(0, RSSPRIT + RSCCTIT(-1) + 1 - RSUDCIT - RSCCTIT )
RSSMTIT=(RSUDCIT + RSCCTIT + RSUXTIT - RSSPRIT - RSCCTIT(-1))
RLSPRIT = (RSUCRIT*RLXTRIT)  
* # Tenuto originale:
* # RLUXTIT=max(0, RLSPRIT + RLCCTIT(-1) + 5 - RLUDCIT - RLCCTIT)
RLSMTIT=(RLUDCIT + RLUXTIT + RLCCTIT  - RLSPRIT - RLCCTIT(-1))
ROSPRIT=(RSUCRIT*ROXTRIT) 
ROUFCIT=ROUFCIT1+ROUFCIT2*SOPFRIT+ROUFCIT3*ROPFRIT+ROUFCIT4*UOPFRIT+ROUFCIT5*RGDPDIT+ROUFCIT6*TREND70
ROUFDIT=(ROUFCIT*POPIT)
ROUOTIT=ROUOTIT1+ROUOTIT2*ROPFRIT
ROUDCIT=(ROUFDIT+ROUOTIT+ROUFEIT) 
ROCCTIT=ROCCTIT1*(ROSPRIT + ROCCTIT(-1))+ROCCTIT2*ROPFRIT+ROCCTIT3*TREND70
* # ROUXTIT=max(2, ROSPRIT +ROCCTIT (-1) + 5 -ROUDCIT - ROCCTIT) 
ROSMTIT=(ROUDCIT+ROCCTIT+ROUXTIT-ROSPRIT-ROCCTIT(-1))
UFUCRIT=UFUCRIT1*UFUCRIT(-1)+UFUCRIT2*UFCMRIT+UFUCRIT3*O3DU1IT
UFUDCIT=(UFUCRIT+UFUOTIT+UFUFDIT)
UFCCTIT=UFCCTIT1+UFCCTIT2*(UFSPRIT+UFCCTIT(-1))+UFCCTIT3*UFPFRIT+UFCCTIT4*O3DU2IT
* # Tenuto originale:
* # UFUXTIT=max (5, UFSPRIT + UFCCTIT (-1) +10 - UFUDCIT - UFCCTIT) 
UFSMTIT=(UFUDCIT+UFUXTIT+UFCCTIT-UFSPRIT-UFCCTIT(-1))
UMSPRIT=(UFUCRIT*UMXTRIT)
UMCCTIT=UMCCTIT1*(UMSPRIT + UMCCTIT (-1))+UMCCTIT2*UMPFRIT+UMCCTIT3*TREND70
* # Campiato 5 in 7
* # UMUXTIT= max(7, UMSPRIT + UMCCTIT(-1) + 5 -UMUDCIT - UMCCTIT)  
UMSMTIT=(UMUDCIT + UMUXTIT + UMCCTIT - UMSPRIT - UMCCTIT(-1))
UOSPRIT=(UFUCRIT*UOXTRIT)
UOUFCIT=UOUFCIT1+UOUFCIT2*SOPFRIT+UOUFCIT3*ROPFRIT+UOUFCIT4*UOPFRIT+UOUFCIT5*RGDPDIT+UOUFCIT6*TREND70
UOUFDIT=(UOUFCIT*POPIT) 
UOUOTIT=UOUOTIT1+UOUOTIT2*UOPFRIT
UOUDCIT=(UOUFDIT+UOUOTIT+UOUFEIT)
UOCCTIT=UOCCTIT1*(UOSPRIT+UOCCTIT(-1))+UOCCTIT2*UOPFRIT+UOCCTIT3*TREND70
* # Cambiato i due valori
* # UOUXTIT= max(15, UOSPRIT+UOCCTIT(-1)+15-UOUDCIT-UOCCTIT)
UOSMTIT=(UOUDCIT+UOUXTIT+UOCCTIT-UOSPRIT-UOCCTIT(-1))
SBUCRIT=SBUCRIT1*SBUCRIT(-1)+SBUCRIT2*SBCMRIT+SBUCRIT3*O3DU1IT
SBUOTIT=SBUOTIT1+SBUOTIT2*SBAHAIT(+1)+SBUOTIT3*SBPFRIT  
SBUDCIT=(SBUCRIT+SBUOTIT+SBUFDIT)
SBCCTIT=SBCCTIT1+SBCCTIT2*(SBSPRIT+SBCCTIT (-1))+SBCCTIT3*SBPFRIT
* # Tenuto originale:
* # SBUXTIT=max(5,SBSPRIT+SBCCTIT(-1)+40-SBUDCIT-SBCCTIT)
SBSMTIT=(SBUDCIT + SBUXTIT + SBCCTIT -SBSPRIT -SBCCTIT (-1))
SMSPRIT=(SBUCRIT*SMXTRIT)
SMCCTIT=SMCCTIT1+SMCCTIT2*(SMSPRIT+SMCCTIT(-1))+SMCCTIT3*SMPFRIT+SMCCTIT4*TREND70
* # Mantenuto originale:
* # SMUXTIT=max(40,SMSPRIT+SMCCTIT(-1)+40-SMUDCIT-SMCCTIT)
SMSMTIT=(SMUDCIT+SMUXTIT+SMCCTIT-SMSPRIT-SMCCTIT(-1))
SOSPRIT=(SBUCRIT*SOXTRIT) 
SOUFCIT=SOUFCIT1+SOUFCIT2*SOPFRIT+SOUFCIT3*ROPFRIT+SOUFCIT4*UOPFRIT+SOUFCIT5*RGDPDIT+SOUFCIT6*TREND70 
SOUDCIT=(SOUFCIT*POPIT) 
SOCCTIT=SOCCTIT1+SOCCTIT2*(SOSPRIT*SOCCTIT(-1))+SOCCTIT3*SOPFRIT+SOCCTIT4*TREND70 
* # Souxtit assume valori significativi, a differenza degli altri massimi!!
* # Cambiato:
* # SOUXTIT=(max(14,SOSPRIT+SOCCTIT(-1)+5-SOUDCIT-SOCCTIT))
SOSMTIT=(SOUDCIT+SOUXTIT+SOCCTIT-SOSPRIT-SOCCTIT(-1))  

* # *****

* # Livestock
* # start_commodity
BCCCTIT = BCCCTIT1*BCITTIT+BCCCTIT2*CCPIRIT+BCCCTIT3*CCMIRIT+BCCCTIT4*BCSIRIT+BCCCTIT5*BCQSCIT+BCCCTIT6*DCCCTIT+BCCCTIT7*LVDU1IT
CCSPRIT = (CCWCIIT*CCYPCIT)
BCKTTIT = BCKTTIT1+BCKTTIT2*(DCITTIT+BCITTIT)+BCKTTIT3*(BCCCTIT+DCCCTIT)
CCKCVIT = CCKCVIT1*CCWDCIT+CCKCVIT2*CCWBCIT+CCKCVIT3*CCSMTIT
CCKOTIT = CCKOTIT1+CCKOTIT2*CCOCAIT
CCUDLIT = CCUDLIT1*CCITTIT
CCCCTIT = CCITTIT+CCSPRIT+CCSMTIT+CCUXTIT+CCKTTIT+CCUDLIT
CCSLWIT = CCSLWIT1+CCSLWIT2*(CCCVSIT+CCCWSIT)+CCSLWIT3*CCPIRIT+CCSLWIT4*LVDU1IT
BVSPRIT = CCKTTIT*CCSLWIT/1000
BVUPCIT = BVUPCIT1+BVUPCIT2*LOG(CCPRRIT)+BVUPCIT3*LOG(PKPRRIT)+BVUPCIT4*LOG(BRPFRIT)+BVUPCIT5*LOG(LMPRRIT)+BVUPCIT6*LOG(RGDPCIT)+BVUPCIT7*TREND70
BVUDCIT = BVUPCIT*POPIT
BVCCTIT = BVCCTIT1+BVCCTIT2*BVCCTIT(-1)+BVCCTIT3*CCPRRIT+BVCCTIT4*CCPICIT+BVCCTIT5*TREND70+BVCCTIT6*LVDU2IT
BVUXTIT = BVUXTIT1+BVUXTIT2*(BVSPRIT+BVCCTIT(-1)-BVUDCIT)+BVUXTIT3*CCPRRIT+BVUXTIT4*TREND70
BVSMTIT = (BVUDCIT+BVUXTIT+BVCCTIT-BVSPRIT-BVCCTIT(-1))
SWCCTIT = SWCCTIT1*SWCCTIT(-1)+SWCCTIT2*PKPIRIT
HPYPSIT = HPYPSIT1+HPYPSIT2*HPYPSIT(-1)+HPYPSIT3*PKPIRIT+HPYPSIT4*TREND70
HPSPRIT = SWSIIT*HPYPSIT
HPUDLIT = HPUDLIT1*(HPITTIT+HPSPRIT)
HPCCTIT = HPITTIT+HPSPRIT+HPSMTIT-HPUXTIT-HPKTTIT-HPUDLIT
HPKOTIT = HPKOTIT1+HPKOTIT2*HPOPAIT+HPKOTIT3*(HPCCTIT-HPCCTIT(-1))+HPKOTIT4*HPSPRIT+HPKOTIT5*TREND70
HPSLWIT = HPSLWIT1+HPSLWIT2*PKPIRIT+HPSLWIT3*TREND70
PKSPRIT = (HPKTTIT*HPSLWIT/1000)
PKUPCIT = PKUPCIT1+PKUPCIT2*LOG(CCPRRIT)+PKUPCIT3*LOG(PKPRRIT)+PKUPCIT4*LOG(BRPFRIT)+PKUPCIT5*LOG(LMPRRIT)+PKUPCIT6*LOG(RGDPCIT)+PKUPCIT7*TREND70
PKUDCIT = PKUPCIT*POPIT
PKCCTIT = PKCCTIT1+PKCCTIT2*PKCCTIT(-1)+PKCCTIT3*PKPRRIT
PKUXTIT = PKUXTIT1+PKUXTIT2*(PKSPRIT+PKCCTIT(-1)-PKUDCIT)+PKUXTIT3*(PKPRRIT/ PKDEPIT)
PKSMTIT = (PKUDCIT+PKCCTIT+PKUXTIT-PKSPRIT-PKCCTIT(-1))
BRSPRIT = BRSPRIT1+BRSPRIT2*BRSPRIT(-1)+BRSPRIT3*BRPIRIT+BRSPRIT4*TREND70
BRUPCIT = BRUPCIT1+BRUPCIT2*LOG(CCPRRIT)+BRUPCIT3*LOG(PKPRRIT)+BRUPCIT4*LOG(BRPFRIT)+BRUPCIT5*LOG(LMPRRIT)+BRUPCIT6*LOG(RGDPCIT)+BRUPCIT7*TREND70
BRUDCIT = (BRUPCIT*POPIT)
BRSMTIT = BRSMTIT1+BRSMTIT2*(BRSPRIT-BRUDCIT)-BRSMTIT3*BRPFRIT+BRSMTIT4*TREND70
BRUXTIT = (BRSPRIT+BRSMTIT-BRUDCIT)
OPSPRIT = OPSPRIT1*OPSPRIT(-1)+OPSPRIT2*BRPFRIT+OPSPRIT3*TREND70
OPUPCIT = OPUPCIT1+OPUPCIT2*LOG(CCPRRIT)+OPUPCIT3*LOG(PKPRRIT)+OPUPCIT4*LOG(BRPFRIT)+OPUPCIT5*LOG(LMPRRIT)+OPUPCIT6*LOG(RGDPCIT)+OPUPCIT7*TREND70
OPUDCIT =(OPUPCIT*POPIT)
OPSMTIT = OPSMTIT1*(OPSPRIT-OPUDCIT)+OPSMTIT2*BRPFRIT+OPSMTIT3*LVDU1IT
OPUXTIT = OPSPRIT+OPSMTIT-OPUDCIT
EWCCTIT = EWCCTIT1*EWITTIT+EWCCTIT2*EWRTRIT
SHSPRIT = (EWWEIIT*SHYPEIT)
EWKTTIT = EWKTTIT1+EWKTTIT2*EWITTIT+EWKTTIT3*(EWCCTIT-EWITTIT)
* # This equations was created to build the dipendent variable for estimate purposes only, so it is not needed for proiections
* LAMBIT = EWKLMIT+ SHKOTIT
LAMBIT = LAMBIT1+LAMBIT2*SHOSAIT+LAMBIT3*SHSPRIT
SHCCTIT = (SHITTIT + SHSPRIT + SHSMTIT - SHUXTIT - SHKTTIT - SHUDLIT)
SHSLWIT = SHSLWIT1+SHSLWIT2*LMPRRIT
LMSPRIT = (SHKTTIT*SHSLWIT)
LMUPCIT = LMUPCIT1+LMUPCIT2*LOG(CCPRRIT)+LMUPCIT3*LOG(PKPRRIT)+LMUPCIT4*LOG(BRPFRIT)+LMUPCIT5*LOG(LMPRRIT)+LMUPCIT6*LOG(RGDPCIT)+LMUPCIT7*TREND70
LMUDCIT = (LMUPCIT*POPIT) 
LMSMTIT = (LMUDCIT+LMUXTIT+LMCCTIT-LMSPRIT-LMCCTIT(-1))
CCPRMIT = CCPRMIT1+CCPRMIT2*CCDEPIT+CCPRMIT3* BVSSFIT +CCPRMIT4*BVSSFDE
PKPRMIT = PKPRMIT1*PKDEPIT+PKPRMIT2*PKSSFIT+PKPRMIT3*PKSSFDE+PKPRMIT4*TREND70
BRPFMIT = BRPFMIT1+BRPFMIT2*BRDEPIT+BRPFMIT3*BRSSFIT+BRPFMIT4*BRSSFDE
LMPRMIT = LMPRMIT1+LMPRMIT2*LMIEPIT+LMPRMIT3*LMSSFIT+LMPRMIT4*LMSSFIE


* # Dairy
* # start_commodity
MKPFMIT = MKPFMIT1+MKPFMIT2*CDPWMIT+MKPFMIT3*BUPWMIT
MKYPCIT = MKYPCIT1+MKYPCIT2*TREND70+MKYPCIT3*MKQUAIT+MKYPCIT4*MKPIRIT
DCCCTIT = DCCCTIT1*MKQPYIT+DCCCTIT2*MKPIRIT+DCCCTIT3*MKPIRIT(-2)+DCCCTIT4*TREND70
MKSPRIT = (DCCCTIT*MKYPCIT/1000)
MKUPCIT = MKUPCIT1+MKUPCIT2*LOG(MKPFRIT)+MKUPCIT3*LOG(RGDPCIT)+MKUPCIT4*TREND70
MKUFLIT = (MKUPCIT*POPIT)
* # Controllare del perch del commento successivo
* # MKUFAIT = MKSPRIT+OMSPRIT+MKSMTIT-MKUFLIT-MKUFEIT-MKUXTIT
ODPPCIT = ODPPCIT1+ODPPCIT2*NFPWRIT+ODPPCIT3*TREND70 
CDPPCIT = (MKPPCIT-ODPPCIT-MKPUCIT-NFPPCIT-WFPPCIT)
CDSPRIT = (CDPPCIT/CDPPPIT)
NFSPRIT = (NFPPCIT/NFPPPIT)
WFSPRIT = (WFPPCIT/WFPPPIT)
ODFPCIT = ODFPCIT1+ODFPCIT2*BUPWRIT
BUFPCIT = (MKFPCIT-MKFUCIT-CDFPCIT-WFFPCIT-ODFPCIT)
BUSPRIT = (BUFPCIT/BUFPPIT)
CDUPCIT = CDUPCIT1*LOG(CDPWRIT)+CDUPCIT2*LOG(RGDPCIT)
CDUDCIT = (CDUPCIT*POPIT)
CDCCTIT = CDCCTIT1+CDCCTIT2*CDCCTIT(-1)+CDCCTIT3*CDPWRIT+CDCCTIT4*TREND70
CDUXTIT = CDUXTIT1+CDUXTIT2*(CDSPRIT+CDCCTIT(-1)-CDUDCIT)+CDUXTIT3*CDPWRIT
CDSMTIT = (CDUDCIT+CDUXTIT+CDCCTIT-CDSPRIT-CDCCTIT(-1))
BUCCTIT = BUCCTIT1*BUCCTIT(-1)+BUCCTIT2*BUPWRIT+BUCCTIT3*BUPICIT+BUCCTIT4*TREND70
BUUXTIT = BUUXTIT1+BUUXTIT2*(BUSPRIT+BUCCTIT(-1)-BUUDCIT)+BUUXTIT3*BUPWRIT+BUUXTIT4*TREND70
BUSMTIT = (BUUDCIT+BUCCTIT-BUSPRIT-BUUXTIT-BUCCTIT(-1))
NFUPCIT = NFUPCIT1+NFUPCIT2*LOG(NFPWRIT)+NFUPCIT3*LOG(RGDPCIT)+NFUPCIT4*LOG(1/MKPNFIT)+NFUPCIT5*LOG(DCCPCIT)
NFUDCIT = (NFUPCIT*POPIT)
NFSMTIT = (NFUDCIT+NFCCTIT+NFUXTIT-NFSPRIT-NFCCTIT(-1))
WFUPCIT = WFUPCIT1+WFUPCIT2*LOG(WFPWRIT)+WFUPCIT3*LOG(RGDPCIT)+WFUPCIT4*TREND70
WFUDCIT = (WFUPCIT*POPIT)
WFSMTIT = (WFUDCIT+WFCCTIT+WFUXTIT-WFSPRIT-WFCCTIT(-1))
CDPWMIT = CDPWMIT1+CDPWMIT2*CDFRPIT+CDPWMIT3*CDSSFIT+CDPWMIT4*CDSSFFR
BUPWMIT = BUPWMIT1+BUPWMIT2*BUDEPIT+BUPWMIT3*BUSSFIT+BUPWMIT4*BUSSFDE+BUPWMIT5*TREND70

* # *****

* # Sugar Beet
* # start_commodity
STAPRIT = (0,58*STPITIT)*(1-STALVIT)/100
STBPRIT = (0,58*STPITIT)*(1-STALVIT-STBLVIT)/100
STPFCIT = (min(STSPRIT,STAQOIT)*STAPRIT+min(max(STSPRIT-STAQOIT,0),STBQOIT)*STBPRIT+max(STSPRIT-STAQOIT-STBQOIT,0)*STWPIT)/(STSPRIT*10)
STPFEIT = STPFEIT1*STPFCIT+STPFEIT2*TREND70+STPFEIT3*STPFEIT(-1);
* # This equation was used for the calculations of the parameters for the trend yeld. Not needed for projection purposes
* # STYHAIT = STYHAIT1+STYHAIT2*YEAR
* # Trend yeld calculation (parameters were estimated with the previous equation)
STYHTIT = STYHTIT1+STYHTIT2*YEAR
STEGMIT = STYHTIT*(0.5*STPFEIT(-1)+0.3*STPFEIT(-2)+0.2*STPFEIT(-3))
STEGRIT = 100*STEGMIT/GDPDE5
STAHAIT = STAHAIT1+STAHAIT2*STEGRIT+STAHAIT3*(PTAHAIT+G3AHAIT+RSAHAIT)+STAHAIT4*GRSARE5+STAHAIT5*TREND70      
STYHAIT = STYHAIT1+STYHAIT2*STYHTIT+STYHAIT3*STPF3IT+STYHAIT4*(STAHAIT+G3AHAIT+O3AHAIT)
STSPRIT = STYHAIT*STAHAIT/10
SUSPRIT = STSPRIT(-1)*STXTCIT
SUAPRIT = SUPITIT*(1-SUALVIT)
SUBPRIT = SUPITIT*(1-SUALVIT-SUBLVIT)
* # This equation must be added:
SUPFCIT = (min(SUSPRIT,SUAQOIT)*SUAPRIT+min(max(SUSPRIT-SUAQOIT,0),SUBQOIT)*SUBPRIT+max(SUSPRIT-SUAQOIT-SUBQOIT,0)*SUWPIT)/SUSPRIT
SUPFEIT = SUPFEIT1+SUPFEIT2*SUPFCIT
SUPFRIT = 100*SUPFEIT/GDPDE5
SUUFCIT = SUUFCIT1+SUUFCIT2*SUPFRIT+SUUFCIT3*RGDPCIT+SUUFCIT4*TREND70
SUUDCIT = SUUFCIT*POPIT
* # Cos "viene" il segno ma non la fitness
* # SUSCTIT = SUSCTIT1+SUSCTIT2*SUSCTIT(-4)+SUSCTIT3*SUPFRIT+SUSCTIT4*TREND70
* # SUSCTIT =SUSCTIT1+SUSCTIT2*SUSCTIT(-1)+SUSCTIT3*SUSPRAIT*0.05+SUSCTIT4*SUPFRIT+SUSCTIT5*SUPFIIT+SUSCTIT6*TREND70
* # SUSCTIT = SUSCTIT1*STSPRIT(-1)+SUSCTIT2*SUPFRIT
* # SUUXTIT = SUUXTIT1+SUUXTIT2*(SUSPRIT-SUUDCIT+SUSCTIT)+SUUXTIT3*TREND70
* # SUSMTIT = SUUDCIT + SUUXTIT-SUSPRIT-SUSCTIT
* # SUESTIT =SUESTIT1+SUESTIT2*SUESTIT(-4)+SUESTIT3*SUPFRIT+SUESTIT4*TREND70
* # SUUXTIT =SUUXTIT1+SUUXTIT2*(SUSPRIT+SUESTIT(-1)-SUUDCIT-SUESTIT)+SUUXTIT3*TREND70
SUUXTIT = SUUXTIT1+SUUXTIT2*(SUSPRIT-SUUDCIT)+SUUXTIT3*TREND70+SUUXTIT4*SUUXTIT(-4)
SUSMTIT = SUSMTIT1+SUSMTIT2*(SUUDCIT+SUUXTIT-SUSPRIT)+SUSMTIT3*TREND70+SUSMTIT4*SUSMTIT(-4)
SUSCTIT = SUUDCIT+SUUXTIT-SUSPRIT-SUSMTIT
* # *****

* # Potatoes
* # start_commodity

PTPFEIT = PTPFEIT1*PTPNLIT+PTPFEIT2*PTSSFNL+PTPFEIT3*PTSSFIT
PTPFRIT = 100*PTPFEIT/GDPDE5
PTPF5IT = (PTPFRIT(-1)+PTPFRIT(-2)+PTPFRIT(-3)+PTPFRIT(-4)+PTPFRIT(-5))/5
PTYHTIT = PTYHTIT1+PTYHTIT2*YEAR
PTYHAIT = PTYHAIT1+PTYHAIT2*PTYHTIT+PTYHAIT3*PTPF5IT+PTYHAIT4*PTAHAIT
PTEGRIT = (PTPF5IT*PTYHTIT)
PTAHAIT = PTAHAIT1*PTEGRIT+PTAHAIT2*TREND70
PTSPRIT = PTAHAIT*PTYHAIT/10
PTUFCIT = PTUFCIT1*PTPFRIT+PTUFCIT2*RGDPCIT+PTUFCIT3*TREND70
PTUDCIT = PTUFCIT*POPIT
PTUXTIT = PTUXTIT1+PTUXTIT2*(PTSPRIT-PTUDCIT)
PTSMTIT = PTUDCIT+PTUXTIT-PTSPRIT
* # *****

* # Oranges
* # start_commodity

* # PRICE LINKAGE EQUATIONS [ECU-EURO/100Kg]
ORPFEIT = ORPFEIT1+ORPFEIT2*ORPFEES+ORPFEIT3*ORPFEIT(-1)
* # AREA EQUATION [1000ha]
ORAHAIT = ORAHAIT1+ORAHAIT2*ORPF3IT+ORAHAIT3*TREND70
* # YIELD EQUATION [100Kg/ha]
ORYHAIT = ORYHAIT1+ORYHAIT2*ORYHAIT(-1)+ORYHAIT3*ORPF3IT+ORYHAIT4*ORAHAIT
* # ID - PRODUCTION [1000tonn]
ORSPRIT = ORYHAIT*ORAHAIT/10
* # DOMESTIC USE [1000tonn]
ORUDCIT = ORUDCIT1+ORUDCIT2*ORPFRIT+ORUDCIT3*(100*APPFEIT/GDPDE5)
* # EXPORT EQUATION [1000tonn]
ORUXTIT = ORUXTIT1+ORUXTIT2*ORSPRIT+ORUXTIT3*ORUDCIT
* # ID - IMPORT EQUATION [1000tonn]
ORUMTIT = ORUDCIT+ORUXTIT-ORSPRIT
* # *****


* # Olive Oil
* # start_commodity
LOLUCOIT = OLUCOIT1+OLUCOIT2*LOG(OLPIRIT)+OLUCOIT3*LOG(OLPFRIT)+OLUCOIT4*(LOG(OLPFRIT)-LOG(OLPIRIT))**0.5+OLUCOIT5*(LOG(OLPIRIT)-LOG(OLPFRIT))*(OLEXTIT(-1)/OLSPRIT(-1))
OLUCOIT = exp(LOLUCOIT)
OLISHIT = OLISHIT1+OLISHIT2*(OLEXTIT(-1)/OLSPRIT(-1))+OLISHIT3*(OLPIRIT/OLPFRIT)
OLPIRIT = OLPIRIT1*OLPFRES+OLPIRIT2*OLPFRGR+OLPIRIT3*TREND70
* OLWPROL=OLWPRIT -OLPWRIT(-1)
OLWPROL= OLWPRIT1+OLWPRIT2*(OLUCOIT+OLCAIIT(-1))+OLWPRIT3*TREND70 
OLAHAIT = OLAHAIT1+OLAHAIT2*TREND70+OLAHAIT3*OLPF5IT
OLYHAIT = OLYHAIT1+OLYHAIT2*OLINDIT(-1)+OLYHAIT3*OLPF5IT+OLYHAIT4*(OLPINIT+OLPAIIT)+OLYHAIT5*OLDU1IT+ OLYHAIT6*TREND70 
OLPSHIT = 1-OLISHIT
OLINTIT = (OLUCOIT*OLWPRIT*OLPSHIT)/OLPFRIT
OLIMPIT = (OLUCOIT*OLWPRIT*OLISHIT)/OLPIRIT
OLSPRIT = OLAHAIT*OLYHAIT 
OLEXCIT = OLSPRIT-OLINTIT-OLSELIT
OFEXPIT = OFEXPIT1+OFEXPIT2*TREND70+OFEXPIT3*RGDPCIT
LOLUDCIT = OLUDCIT1+OLUDCIT2*LOG(OLPWRIT)+OLUDCIT3*LOG(ROPWRIT)+OLUDCIT4*LOG(UOPWRIT)+OLUDCIT5*LOG(SOPWRIT)+OLUDCIT6*LOG(BUPWRIT/100)+OLUDCIT7*LOG(OFEXPIT)+OLUDCIT8*LOG(TREND70)
OLUDCIT=exp(loludcit)
LROUDCIT = ROUDCIT1+ROUDCIT2*LOG(OLPWRIT)+ROUDCIT3*LOG(ROPWRIT)+ROUDCIT4*LOG(UOPWRIT)+ROUDCIT5*LOG(SOPWRIT)+ROUDCIT6*LOG(BUPWRIT/100)+ROUDCIT7*LOG(OFEXPIT)+ROUDCIT8*LOG(TREND70)
ROUDCIT=exp(LROUDCIT)
LUOUDCIT = UOUDCIT1+UOUDCIT2*LOG(OLPWRIT)+UOUDCIT3*LOG(ROPWRIT)+UOUDCIT4*LOG(UOPWRIT)+UOUDCIT5*LOG(SOPWRIT)+UOUDCIT6*LOG(BUPWRIT/100)+UOUDCIT7*LOG(OFEXPIT)+UOUDCIT8*LOG(TREND70)
UOUDCIT=exp(LUOUDCIT)
LSOUDCIT = SOUDCIT1+SOUDCIT2*LOG(OLPWRIT)+SOUDCIT3*LOG(ROPWRIT)+SOUDCIT4*LOG(UOPWRIT)+SOUDCIT5*LOG(SOPWRIT)+SOUDCIT6*LOG(BUPWRIT/100)+SOUDCIT7*LOG(OFEXPIT)+SOUDCIT8*LOG(TREND70)
SOUDCIT=exp(LSOUDCIT)
* # Butter domestic consumption 
BUUDCIT = ((OFEXPIT*POPIT)-(OLUDCIT*OLPWRIT)-(ROUDCIT*ROPWRIT)-(UOUDCIT* UOPWRIT)-(SOUDCIT*SOPWRIT))/(BUPWRIT/100)
OLMPRIT = max(0,1-OLPFRIT/OLPINIT)
OLCCTIT = OLCCTIT1+OLCCTIT2*(OLCCTIT(-1)+OLEXCIT)+OLCCTIT3*OLPFRIT+OLCCTIT4*OLMPRIT+OLCCTIT5*OLDU1IT
OLUXTIT = OLUXTIT1*(OLCCTIT(-1)+OLEXCIT+(OLWPRIT-OLUDCIT)-OLCCTIT)
# LOLPWRIT= OLPWRIT1*LOG(OLPWRIT2*OLUCOIT+(1-OLPWRIT2)*OLUCOIT(-1)-OLCAIIT(-1))+OLPWRIT3*LOG(OLPFHWO)+OLPWRIT4*OLDU2IT
OLPFRIT = OLPFRIT1+OLPFRIT2*OLPINIT+OLPFRIT3*TREND70+OLPFRIT4*OLDU1IT
* # dovrebbe dare zero, ma non lo da.
OLSMTIT = OLCCTIT+OLUDCIT+OLUXTIT-OLIMPIT-OLSPRIT-OLCCTIT(-1)
* # *****

* # Tomato paste
* # start_commodity

* # CALCULATION OF THE TREND YELD [100kg/ha]
TOYHTIT = TOYHTIT1+TOYHTIT2*YEAR
* # TOMATO PASTE PRICE FORMATION [ECU-EURO/100Kg]
TPPFEIT = TPPFEIT1+TPPFEIT2*TOPFHWO
* # TOMATO PRICE FORMATION [ECU-EURO/100Kg]
TOPFEIT = TOPFEIT1+TOPFEIT2*TPPFEIT
* # ID - TOMATO PRICE RECEIVED BY GROWERS [ID - ECU-EUR/100kg]
* # (TOAPRE5  is calculated in excel with a if statment, depending or not if production up the quota in the previous year)
TOPPRIT = TOPFEIT + TOAPRE5
* # ID - REAL TOMATO PASTE PRICE [ID - 1995 ECU-EUR/100Kg]
TPPFRIT = 100*TPPFEIT/GDPDE5
* # ID - YELD EQUATION [ID - 100kg/ha]
* # this id will appear in the model, but it's not used in the estimation tasks!
TOYAHIT = (TOYHTIT)
* # TOMATO FOR PROCESSING AREA HARVESTED [1000ha]
TOAHAIT =TOAHAIT1+TOAHAIT2*(100*TOPPRIT(-1)/GDPDE5(-1))
* # ID - TOMATO FOR PROCESSING PRODUCTION [ID - 1000tonn]
TOSPRIT = TOYAHIT*TOAHAIT/10
* # ID - TOMATO PASTE PRODUCTION [ID - 1000tonn]
TPSPRIT = TOSPRIT*TPXTRIT
* # PER CAPITA DEMAND FOR TOMATO PASTE [Kg]
* # TPUFCIT4  fissato a -0,8
TPUFCIT = TPUFCIT1+TPUFCIT2*TPPFRIT+TPUFCIT3*TPDU1IT
* # ID - TOTAL DOMESTIC USE [ID - 1000tonn]
TPUDCIT = TPUFCIT*POPIT
* # ENDING STOCK EQUATION [1000tonn]
TPCCTIT = TPCCTIT1+TPCCTIT2*(TPSPRIT+TPCCTIT(-1))+TPCCTIT3*TPPFRIT
* # EXPORT EQUATION [1000tonn]
TPUXTIT = TPUXTIT1+TPUXTIT2*(TPSPRIT+TPCCTIT(-1)-TPUDCIT-TPCCTIT)
* # ID - IMPORT EQUATION [ID - 1000tonn]
TPSMTIT = (TPUDCIT+TPUXTIT+TPCCTIT-TPCCTIT(-1)-TPSPRIT)
* # *****

* # Tobacco
* # start_commodity
* # TOBACCO YELD
TBYHTIT = TBYHTIT1+TBYHTIT2*YEAR
* # TOBACCO PRODUCER PRICE - FARM LEVEL [ecu-euro/100kg]
TBPFEIT = TBPFEIT1*TBPFEGR+TBPFEIT2*TBSSFIT+TBPFEIT3*TBSSFGR+TBPFEIT4*TREND70+TBPFEIT5*TBDU1IT
* # 3-ARABLE CROPS IRRIGATED AREA HARVESTED [1000 ha]
I3AHAIT = I3AHAIT1+I3AHAIT2*I3EGRIT+I3AHAIT3*O3AHAIT+I3AHAIT4*V2AHAIT+I3AHAIT5*GRSARE5+I3AHAIT6*TREND70+I3AHAIT7*TBDU1IT
* # TOBACCO SHARE OF ARABLE IRRIGATED AREA [ratio]
TBASHIT = TBASHIT1*(TBEGMIT/I3EGMIT)+TBASHIT2*TBDU1IT+TBASHIT3*TBDU2IT
* # TOBACCO AREA HARVESTED [ID - 1000ha]
TBAHAIT = TBASHIT*I3AHAIT
* # TOBACCO YELD [100kg/ha]
TBYHAIT = TBYHAIT1+TBYHAIT2*TBYHTIT+TBYHAIT3*TBPFRIT+TBYHAIT4*TBAHAIT
* # TOBACCO PRODUCTION [ID - 1000tonn]
TBSPRIT = TBAHAIT*TBYHAIT/10
* # TOBACCO DOMESTIC USE [1000tonn]
* # TBUDCIT3 FISSATO A -4
TBUDCIT = TBUDCIT1+TBUDCIT2*TBPFRIT+TBUDCIT3*TREND70
* # TOBACCO ENDING STOCKS [1000tonn]
TBCCTIT = TBCCTIT1+TBCCTIT2*TBCCTIT(-1)+TBCCTIT3*TBSPRIT+TBCCTIT4*TBPFRIT+TBCCTIT5*TREND70
* # TOBACCO EXPORTS [1000tonn]
TBUXTIT = TBUXTIT1+TBUXTIT2*(TBSPRIT+TBCCTIT(-1)-TBUDCIT-TBCCTIT)
* # TOBACCO IMPORTS [ID - 1000tonn]
TBSMTIT = TBUDCIT+TBCCTIT+TBUXTIT-TBSPRIT-TBCCTIT(-1)
* # *****